### Signal

# Gtk SelectionModel::selection-changed

since: 4.0

#### Declaration

    void
    selection_changed (
      GtkSelectionModel* self,
      guint position,
      guint n_items,
      gpointer user_data
    )

#### Description [src]

Emitted when the selection state of some of the items in `model` changes.

Note that this signal does not specify the new selection state of the items, they need to be queried manually. It is also not necessary for a model to change the selection state of any of the items in the selection model, though it would be rather useless to emit such a signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`position`

  Type: `guint`

  The first item that may have changed.

`n_items`

  Type: `guint`

  Number of items with changes.